Ruby: curfile64_info Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
curfile64_info Struct Reference

## Data Fields
z_stream | stream
int | stream_initialised
uInt | pos_in_buffered_data
ZPOS64_T | pos_local_header
char * | central_header
uLong | size_centralExtra
uLong | size_centralheader
uLong | size_centralExtraFree
uLong | flag
int | method
int | raw
Byte | buffered_data [Z_BUFSIZE]
uLong | dosDate
uLong | crc32
int | encrypt
int | zip64
ZPOS64_T | pos_zip64extrainfo
ZPOS64_T | totalCompressedData
ZPOS64_T | totalUncompressedData
unsigned long | keys [3]
const z_crc_t * | pcrc_32_tab
unsigned | crypt_header_size

## Detailed Description

Definition at line 130 of file zip.c.

## Field Documentation

## ◆ buffered_data

Byte curfile64_info::buffered_data[Z_BUFSIZE]

Definition at line 150 of file zip.c.

Referenced by zip64FlushWriteBuffer(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ central_header

char* curfile64_info::central_header

Definition at line 142 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ crc32

uLong curfile64_info::crc32

Definition at line 152 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ crypt_header_size

unsigned curfile64_info::crypt_header_size

Definition at line 161 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ dosDate

uLong curfile64_info::dosDate

Definition at line 151 of file zip.c.

Referenced by Write_LocalFileHeader(), and zipOpenNewFileInZip4_64().

## ◆ encrypt

int curfile64_info::encrypt

Definition at line 153 of file zip.c.

Referenced by zip64FlushWriteBuffer(), and zipOpenNewFileInZip4_64().

## ◆ flag

uLong curfile64_info::flag

Definition at line 146 of file zip.c.

Referenced by Write_LocalFileHeader(), and zipOpenNewFileInZip4_64().

## ◆ keys

unsigned long curfile64_info::keys[3]

Definition at line 159 of file zip.c.

Referenced by zip64FlushWriteBuffer(), and zipOpenNewFileInZip4_64().

## ◆ method

int curfile64_info::method

Definition at line 148 of file zip.c.

Referenced by Write_LocalFileHeader(), zip64FlushWriteBuffer(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ pcrc_32_tab

const z_crc_t* curfile64_info::pcrc_32_tab

Definition at line 160 of file zip.c.

Referenced by zip64FlushWriteBuffer(), and zipOpenNewFileInZip4_64().

## ◆ pos_in_buffered_data

uInt curfile64_info::pos_in_buffered_data

Definition at line 138 of file zip.c.

Referenced by zip64FlushWriteBuffer(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ pos_local_header

ZPOS64_T curfile64_info::pos_local_header

Definition at line 140 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ pos_zip64extrainfo

ZPOS64_T curfile64_info::pos_zip64extrainfo

Definition at line 155 of file zip.c.

Referenced by Write_LocalFileHeader(), zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ raw

int curfile64_info::raw

Definition at line 149 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ size_centralExtra

uLong curfile64_info::size_centralExtra

Definition at line 143 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ size_centralExtraFree

uLong curfile64_info::size_centralExtraFree

Definition at line 145 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ size_centralheader

uLong curfile64_info::size_centralheader

Definition at line 144 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ stream

z_stream curfile64_info::stream

Definition at line 132 of file zip.c.

Referenced by zip64FlushWriteBuffer(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ stream_initialised

int curfile64_info::stream_initialised

Definition at line 137 of file zip.c.

Referenced by zipCloseFileInZipRaw64(), zipOpen3(), and zipOpenNewFileInZip4_64().

## ◆ totalCompressedData

ZPOS64_T curfile64_info::totalCompressedData

Definition at line 156 of file zip.c.

Referenced by zip64FlushWriteBuffer(), zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ totalUncompressedData

ZPOS64_T curfile64_info::totalUncompressedData

Definition at line 157 of file zip.c.

Referenced by zip64FlushWriteBuffer(), zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ zip64

int curfile64_info::zip64

Definition at line 154 of file zip.c.

Referenced by Write_LocalFileHeader(), and zipOpenNewFileInZip4_64().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/minizip/zip.c